-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa
local sw,sh = guiGetScreenSize()
local px,py = sw/1366,sh/768
loadstring(exports.dgs:dgsImportFunction())()
font = dgsCreateFont( ":cmta-pobieraniezasobow/OSB.ttf", 12*px )
local ped = createPed(50,-1846.80688, -1708.43469, 41.11390,35)
setElementFrozen(ped,true)
createBlip(-1846.80688, -1708.43469, 41.11390,47)
local cmtaZLOMOWISKO=false

addEvent("cmta:zlomowisko:showGUI", true)
addEventHandler("cmta:zlomowisko:showGUI", resourceRoot, function(veh,salonprice)
    if 	cmtaZLOMOWISKO == false then
    showCursor(true)
	cmtaZLOMOWISKO = true
    local mil = getElementData(veh,"vehicle:data").mileage
    if mil < 10000 then
        price = salonprice*0.8
    elseif mil >= 10000 and mil < 30000 then
        price = salonprice*0.7
    elseif mil >= 30000 and mil < 80000 then
        price = salonprice*0.6
    elseif mil >= 80000 and mil < 150000 then
        price = salonprice*0.5
    elseif mil >= 150000 then
        price = salonprice*0.4
    end
    rndRect = dgsCreateRoundRect(30,false,tocolor(0,0,0,190))  
    rect1 = dgsCreateImage(400*px,200*py,566*px,368*py,rndRect,false)
    button = dgsCreateButton( 50*px, 300*py, 166*px, 40*py, "Złomuj", false,rect1,false,false,false,false,false,false,false,tocolor(90,90,90),tocolor(255,0,0,90))
    button2 = dgsCreateButton( 350*px, 300*py, 166*px, 40*py, "Zamknij", false,rect1,false,false,false,false,false,false,false,tocolor(90,90,90),tocolor(255,0,0,90))

	text = dgsCreateLabel(0*px,130*py,566*px,50*py,"#808080Model: #ff0000"..getVehicleName(veh).." #808080[ID: #ff0000"..(getElementData(veh,"vehicle:data").id).."#808080]\nPrzebieg: #ff0000"..string.format("%01d", mil).." km\n#808080Cena salonowa: #ff0000"..salonprice.." PLN\n\n#808080Wartość pojazdu: #00ff00"..(price).." PLN\n\n\n#ff0000Pamiętaj, że ta operacja jest nieodwracalna!",false,rect1)
    dgsSetFont( text, font )
    dgsSetProperty(text,"colorcoded",true)
    dgsSetProperty(text,"alignment",{"center","center"})

    addEventHandler ("onDgsMouseClick", getRootElement(), onclick)
    savedvehicle = getElementData(veh,"vehicle:data").id
    end  
end)

function onclick ( btn, state )
    if btn == "left" and state == "down" and cmtaZLOMOWISKO == true then
    if source == button then
    triggerServerEvent("cmta:zlomowisko:destroy", resourceRoot,savedvehicle,price)
    end
    if source == button2 then
    destroyElement(rndRect)
    destroyElement(rect1)
    showCursor(false)
    cmtaZLOMOWISKO = false
    removeEventHandler ("onDgsMouseClick", getRootElement(), onclick)
    end
    end
end


addEvent("cmta:zlomowisko:effects", true)
addEventHandler("cmta:zlomowisko:effects", resourceRoot, function(vehicle)
    efc1 = createEffect("overheat_car_electric", -1852.19214, -1698.76123, 40.86719, 0, 0, 0)
    efc2 = createEffect("overheat_car_electric", -1852.61511, -1700.50903, 40.86719, 0, 0, 0)
    createEffect("explosion_small", -1852.19214, -1698.76123, 40.86719-0.4, 0, 0, 0)
    efc4 = createEffect("prt_spark", -1852.23547, -1699.94861, 40.86719-0.2, 0, 0, 0)
    efc5 = createEffect("prt_spark", -1852.32971, -1697.01270, 40.86719-0.2, 0, 0, 0)
    efc6 = createEffect("prt_spark", -1853.41272, -1698.15796, 40.86719-0.2, 0, 0, 0)
    efc7 = createEffect("prt_spark_2", -1851.31445, -1699.91577, 40.86719, 0, 0, 0)
    local sound = playSound3D('crash.wav', -1852.19214, -1698.76123, 40.86719) 
	setSoundMaxDistance(sound, 100)
    setTimer(function()
    destroyElement(efc1)
    destroyElement(efc2)
    destroyElement(efc4)
    destroyElement(efc5)
    destroyElement(efc6)
    destroyElement(efc7)
    end,7000,1)
end)
addEvent("cmta:zlomowisko:render", true)
addEventHandler("cmta:zlomowisko:render", resourceRoot, function(vehicle)
    if isElement(rect1) then
        destroyElement(rect1)
        showCursor(false)
        cmtaZLOMOWISKO = false
        removeEventHandler ("onDgsMouseClick", getRootElement(), onclick)
    end
    posveh = vehicle
    setTimer(function()
    addEventHandler("onClientRender",root,render1)
    end,2000,1)
    setTimer(function()
    removeEventHandler("onClientRender",root,render1)
    addEventHandler("onClientRender",root,render2)
    end,13500,1)
    setTimer(function()
    removeEventHandler("onClientRender",root,render2)
    setCameraTarget(localPlayer,localPlayer)
    exports['cmta-notyfikacje']:sendNotification("#00ff00Sukces!\n#ffffffPojazd został zezłomowany.","success",5000)
    setElementFrozen(localPlayer,false)
end,27000,1)
end)

function render1()
    local x,y,z = getElementPosition(posveh)
    setCameraMatrix(-1874.00977, -1697.89783, 47.64552,x,y,z)
end

function render2()
    local x,y,z = getElementPosition(posveh)
    setCameraMatrix(-1846.03162, -1685.28296, 48.16242,x,y,z)
end
